Articles of Android studio

Android Studio показывает ошибки (пропавший перевод) после обновления

Недавно я обновил мою версию Android Studio с 2.2.3 to 2.3.0 работая отлично в 2.2.3, но после обновления класса класса зависимостей проекта от 2.2.3 to 2.3.0 получая много ошибок Missing Translations из string.xml . Может ли кто-нибудь сказать мне, почему это происходит, и как разрешить эти ошибки?

Android Studio .2.2 и пакет Gradle не существуют

Новое для Android Studio и импорт внешних Java-библиотек. Я прочитал сообщения о настройке зависимостей Gradle, и я исправил свой первый пакет, не существует ошибки. Это операторы импорта из файла MainAcitivity.java: import com.google.android.gms.common.GooglePlayServicesUtil; import com.google.api.client.extensions.android.http.AndroidHttp; import om.google.api.client.googleapis.extensions.android.gms.auth.GoogleAccountCredential; import com.google.api.client.http.HttpTransport; import com.google.api.client.json.JsonFactory; import com.google.api.client.json.gson.GsonFactory; import com.google.api.services.tasks.TasksScopes; И вот мои заявления зависимостей из файла build.gradle. dependencies { compile […]

Проблема Proguard для библиотеки mupdf

Мое приложение работает хорошо, пока я не пытаюсь создать версию. Появилось следующее сообщение об ошибке: Java.lang.NoSuchFieldError: нет поля с именем = 'globals' signature = 'J' в классе Lcom / artifex / mupdfdemo / MuPDFCore; Очевидно, проблема в моей библиотеке mupdf. Я построил эту библиотеку в файле aar без использования proguard. Вот мой build.gradle для библиотеки […]

Как настроить Proguard с помощью Gradle?

Недавно я переключился на Android Studio / Gradle, и мне интересно, как ProGuard можно настроить в скрипте build.gradle. Я новичок в Gradle, но я подумал, что настройка Proguard была бы хорошей идеей (как описано в документации проекта Proguard. Я хочу настроить Proguard для сохранения отображения в разных файлах для разных продуктов с настройкой «printmapping» task […]

Неподдерживаемый метод: InstantRun.getRestartDexFile () – Android Studio

У меня Android Studio 2.0 Beta 6 И версия Gradle в build.gradle – это classpath 'com.android.tools.build:gradle:2.1.0-beta1' (Я обновил его только сегодня, раньше я был в gradle: 2.0.0-alpha9). Теперь, когда я пытаюсь запустить свое приложение, я продолжаю получать это сообщение. UnsupportedMethodException Неподдерживаемый метод: InstantRun.getRestartDexFile (). Версия Gradle, к которой вы подключаетесь, не поддерживает этот метод. Чтобы […]

Не удалось найти модуль с дорожкой Gradle. Вместо ссылки на библиотеку

Обновление 2 Это исправлено в Android Studio 1.2 Beta 3 Обновление: Сообщается, что это исправлено в предстоящей версии Android Studio. В Android Studio 1.2 Beta 2 я начал получать следующие предупреждения при синхронизации Gradle. Failed to set up dependencies Warning:Unable to find module with Gradle path ':Library1'. Linking to library 'Library1-unspecified' instead. Warning:Unable to find […]

Android Studio не отображает журналы по имени пакета

После запуска проекта в журнале добавлен фильтр, такой как «app: My_Package_Name», В /.idea/workspace.xml добавлено: <?xml version="1.0" encoding="UTF-8"?> <project version="4"> <component name="AndroidConfiguredLogFilters"> <filters> <filter> <option name="logLevel" value="verbose" /> <option name="logMessagePattern" value="" /> <option name="logTagPattern" value="" /> <option name="name" value="app: com.zastavok.net" /> <option name="packageNamePattern" value="com.zastavok.net" /> <option name="pid" value="" /> </filter> </filters> Но в этом фильтре нет […]

Выполнение не выполнено для задачи ': app: dexDebug' Android Studio

Приложение удалось выполнить перед обновлением моей студии Android, это ошибка, которую я получаю: Error:Execution failed for task ':app:dexDebug'. > com.android.ide.common.process.ProcessException: org.gradle.process.internal.ExecException: Process 'command 'C:\Program Files\Java\jdk1.8.0_25\bin\java.exe'' finished with non-zero exit value 1

Ошибка задачи «Недостаток» в проекте студии Android

Мой проект успешно работал. Но внезапно я получаю следующую ошибку после завершения сборки. Может ли кто-нибудь сказать мне, что здесь происходит? Я не знаю об этой ошибке. Как мне это исправить? Error:A problem occurred configuring project ':app'. > Could not resolve all dependencies for configuration ':app:_debugCompile'. > Could not find com.android.support:cardview-v7:23.2.1. Searched in the following […]

Ошибка Gradle после обновления студии

Недавно я обновился с 1.2.2 до 1.3.2 и был представлен со следующей ошибкой: Error:Unable to load class 'org.gradle.api.publication.maven.internal.DefaultMavenFactory'. Возможные причины этой непредвиденной ошибки: Вы используете версию java версии java 1.7.0_79 ". Некоторые версии JDK 1.7 (например, 1.7.0_10) могут приводить к ошибкам загрузки классов в Gradle. Обновите версию до версии (например, 1.7.0_67). Открыть настройки JDK Кэш […]